Summary: 	KTelnet is a frontend to the telnet
Name:   	ktelnet
Version: 	0.7b1
Release: 	7mdk

Source0: 	%{name}-%{version}.tar.bz2
Source2: 	mktelnet.png.bz2
Source3: 	ktelnet.png.bz2
Source4: 	lktelnet.png.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel
BuildRequires:	XFree86-libs Mesa-common XFree86-static-libs automake autoconf
BuildRequires:	diffutils file m4 texinfo gettext kdelibs-devel gcc-c++ kdelibs
BuildRequires:	libbinutils2 libbzip2_1 db1 freetype2 libjpeg62 libmng1 libpng2
BuildRequires:  libqt2 libqt2-devel rpm-build

%description
KTelnet is a frontend to the telnet, rlogin and ssh (secure shell) programs.

It is an easy way for beginners to learn how to work in a network efficiently,
but KTelnet also can start a terminal on the host. All sessions can be configured
separately without learning the terminals command line parameters.


%prep

%setup  -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
	./configure  --prefix=%_prefix \
	             --with-qt-dir=/usr/lib/qt2 \
                     --disable-rpath \
		     --disable-debug \
		     --enable-final

%install
install -d %buildroot/%_datadir/applnk/Internet/
install -d %buildroot/%_datadir/config/
make install prefix=%buildroot/%_prefix

#install icons
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/ktelnet.png
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/ktelnet.png
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/ktelnet.png


install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="%_bindir/ktelnet"\
title="Ktelnet"\
icon="%{name}.png"\
longtitle="A frontend to telnet"\
needs="kde"\
section="Networking/Remote access"
EOF


%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%{_bindir}/ktelnet
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Internet/
%_datadir/applnk/Internet/ktelnet.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ktelnet/
%dir %_datadir/apps/ktelnet/icons/
%dir %_datadir/apps/ktelnet/icons/locolor/
%dir %_datadir/apps/ktelnet/icons/locolor/22x22/
%dir %_datadir/apps/ktelnet/icons/locolor/22x22/actions/
%dir %_datadir/apps/ktelnet/pics/
%_datadir/apps/ktelnet/icons/locolor/22x22/actions/*.png
%_datadir/apps/ktelnet/pics/*.png
#
#
%dir %_datadir/config/
%_datadir/config/ktelnetrc
#
#
%dir %_docdir/HTML/
%dir  %_docdir/HTML/en/
%dir %_docdir/HTML/en/en/
%_docdir/HTML/en/en/index.*
#
#
%_iconsdir/ktelnet.png 
%_miconsdir/ktelnet.png
%_liconsdir/ktelnet.png
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*
#
%{_menudir}/ktelnet

%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7b1-7mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix and use optimizations
- Fix version in %%changelog
- Clean %%files to allow clean updates
- Fix BuildRequires for non %%ix86 architectures
- Add missing files
- Rebuild against latest GCC

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7b1-6mdk
- Fix typo in menu entry

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7b1-5mdk
- Clean spec and build requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7b1-4mdk
- Rebuild against Qt 2.3.0

* Sat Feb 24 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.7b1-3mdk
- rebuilt to fix dependencies

* Fri Jan 12 2001 Etienne Faure  <etienne@mandrakesoft.com> 0.7b1-2mdk
- added files to package!
- added menu entry

* Mon Nov 20 2000 Laurent Montel <lmontel@mandrakesoft.com> 0.7b1-1mdk
- Initial package
